package auth_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type UserauthIdentifyRequest struct {
	// <ext>core:true</ext> 【用户姓名】用户姓名
	Name string `json:"name"`
	// <ext>core:true</ext> 【证件号】证件号
	CardNo string `json:"cardNo,omitempty"`
	// <ext>core:true</ext> 【手机号】用户手机号 【作用】 1、若是校验手机号二要素或者三要素信息，则传入的手机号需要是用户本人开户的手机号 2、若是校验四要素信息，则传入的手机号需要是用户本人办理银行卡时在银行预留的手机号 【传参】 仅允许使用大陆手机号
	Mobile string `json:"mobile,omitempty"`
	// <ext>core:true</ext> 【银行卡号】用户银行卡号 【作用】 银行卡号 【传参方式】 字符串
	BankcardNo string `json:"bankcardNo,omitempty"`
}

func (obj UserauthIdentifyRequest) GetUrl() string {
	return "/userauth/identify"
}

func (obj UserauthIdentifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
